메인 콘텐츠로 건너뛰기
PATCH
/
v1
/
public
/
accounts
/
{account_id}
/
domains
/
{domain}
도메인 업데이트
curl --request PATCH \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/{domain} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "auto_renew": true,
  "redirect_url": "<string>",
  "workspace_id": "<string>"
}
'
{
  "auto_renew": true,
  "id": "<string>",
  "workspace_id": "<string>",
  "redirect_url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

인증

Authorization
string
header
필수

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

경로 매개변수

account_id
string<uuid>
필수
domain
string
필수

본문

application/json

고객용 도메인 구성을 업데이트하기 위한 스키마.

auto_renew
boolean | null
redirect_mode
enum<string> | null

리디렉션 생성 또는 업데이트 시 사용할 리디렉션 모드

사용 가능한 옵션:
301,
302,
iframe
redirect_url
string | null

HTTPS 리디렉션 URL 또는 지우려면 null

workspace_id
string<uuid4> | null

응답

auto_renew
boolean
필수
id
string<uuid4>
필수
workspace_id
string<uuid4>
필수
redirect_mode
enum<string> | null
사용 가능한 옵션:
301,
302,
iframe
redirect_url
string | null